2.8

Last modified: September 25, 2026

These release notes cover changes made to the Private Mendix Platform in version 2.8.

2.8.1

Release date: September 25, 2026

Version 2.8.1 of Private Mendix Platform introduces a number of new features, updates, and fixes.

New Features

Centralized Private Mendix Platform OCI Registry

To support fully automating the installation of Private Mendix Platform using Helm, we now provide a centralized download OCI registry. Private Mendix Platform and all its components, as well as the Helm charts required to install them, are offered from a central registry and repositories, enabling users to pull images and charts in an automated manner. For more information, see Private Mendix Platform Download Portal. (Ticket 287171)

Cluster Manager API

We have provided a new Cluster Manager API, consisting of API endpoints that allow automating the registration of new clusters, namespaces and resource plans. For more information, see Cluster Manager API.

Key Vault Integration

Private Mendix Platform can now use Azure Key Vault to automatically manage sensitive, environment-specific configuration, such as app constants, Mendix Runtime custom settings, the MxAdmin password, and the Debugger password. For more information, see Azure Key Vault Integration.

Improvements

Build and Deploy Pipeline Improvements

To allow for non-disruptive testing of pipelines, you can now create multiple Build and Deploy pipelines, and mark them as either Main or Draft. Pipelines designated as Main are used as the default, except for projects where you select a Draft pipeline as default. For more information, see Configuring the Pipeline Type.

Metrics Enhancements

We have made the following improvements to the Metrics page:

  • You can now filter the results by time span.
  • You can combine the metrics for all pods together instead of viewing them by pod.
Logs & Events Enhancements

We have made the following improvements to the Logs & Events page:

  • You can now filter the results by time span and by keywords.
  • You can search and download consolidated app logs.
Software Composition Enhancements

The Overview tab of the Software Composition page now shows a warning if an app uses an unsupported version of the Mendix Runtime.

API Enhancements

To support the new features of Private Mendix Platform, we have updated the following APIs:

  • Build - revisionId and branchName can now be used as filters in retrieving a package.
  • Deploy - We have added a new isKvValue flag to support Azure Key Vault integration.

For more information, refer to APIs for Private Mendix Platform.

UI and UX Improvements

We have improved the UI and UX for the following functionalities:

  • Commit history
  • Package Detail page
  • Constants
  • PAT creation

Updates

Studio Pro Updates
  • Studio Pro 9.24 LTS latest patch version updated to 9.24.44
  • Studio Pro 10.24 LTS latest patch version updated to 10.24.26
  • Studio Pro 11.6 MTS latest patch version updated to 11.6.10
  • Studio Pro 11.12 MTS latest patch version updated to 11.12.4
Other Platform Components
  • Mendix Operator version 2.28.1
  • Private Cloud License Manager (PCLM) version 0.11.2
  • Interactor v1.25.6
  • Interactor Bridge v1.24.7
  • Collector v1.23.9
  • Authenticator v1.19.5
  • Maia Appgen 0.39.4
  • Maia LLM Gateway 0.13.4
  • PDF Docgen v1.0.5

Fixes

  • (Marketplace Bundles) We have fixed an issue where the Supported Mendix versions filter does not work correctly when trying to create Marketplace bundles. (Tickets 286143, 286137)
  • (Marketplace Bundles) We have fixed an issue where there was no option to add multiple versions of a widget or module when trying to create Marketplace bundles. (Ticket 286140)
  • (Marketplace Bundles) We have fixed an issue where the required contents would not show in search when trying to create Marketplace bundles. (Ticket 286142)
  • (API) We have fixed an issue where the Group API did not correctly persist or return parentGroup values.
  • (API) We have fixed an issue where GET /groups would return identical values for name and parentGroup.
  • (API) We have fixed an issue where the Marketplace package creation API would return an HTTP 500 error instead of validating the request payload.
  • (API) We have fixed an issue with updating a namespace for an existing cluster through API.
  • (General) We have solved a problem with user assignment, where users could not be assigned to an application if they were already a part of a group with inherited access. (Ticket 286086)
  • (General) We have solved an issue with restarting the app, where despite the restart, the app would still show as running on the Environment Details page. (Ticket 283607)
  • (General) We have solved an issue where the number of replicas was not accurately reflected in Private Mendix Platform UI when scaling. (Ticket 283664)
  • (General) We have solved an issue where the app owner could be removed from the application, leaving the owner in a state where they could not be invited back. (Ticket 283910)
  • (General) We have provided a common Helmfile chart repository variable that can be defined once and used across all templates. (Ticket 287168)
  • (General) We have solved an issue where failed deployments would not show as failed. (Ticket 280980)
  • (General) We have fixed an issue that caused errors to show in the console when the users visited specific pages. (Ticket 284975)
  • (General) We have added a new ingress.tls value to expose ingress configuration for ingress. (Ticket 287157)
  • (General) We have solved an issue where timestamps would default to the year 2000 if data was unavailable in the Metrics page.
  • (General) We have fixed an issue with building images after an upgrade to the Build agent.
  • (General) We have provided a widget to enable page lifecycle hooks.

Known Issues

No Error Shown When Saving Secret Without Key Vault Permission

If the Managed Identity used by Private Mendix Platform does not have Write or Delete permissions in the Azure Key Vault environment, the write or delete does not happens and the error is visible in the logs. However the error is not shown to the user in the UI.

We are aware of this limitation and are working on a fix.

Hidden Constant Values in Yaml Export

Constant with visibility set to MaskedHidden are included in export to yaml files.

We are aware of this limitation and are working on a fix.

Visual Glitch on the Platform Statistics Page

The Platform Statistics page shows the map in a zoomed-in state.

We are aware of this limitation and are working on a fix.

Error when Updating a Group through Group API

When making a call to the Group API, the first call does not update the ParentGroup property.

As a workaround, make another API call to update the ParentGroup.

We are aware of this limitation and are working on a fix.

Issue with Managed Identity Registration for Automatic Secret Store through API

Registering a customer-provided Azure Managed Identity for the Automatic Secret Store feature is not yet supported through the Deploy/ApplyConfig API when the identity was created outside of Private Mendix Platform. This applies specifically to environments running on namespaces configured with non-Azure Workload Identity storage plans, where the Automatic Secret Store feature is being enabled using a self-managed identity.

This configuration step is fully supported through the Private Mendix Platform GUI. All other environment configuration operations continue to work as expected through API before and after this step. Support for registering externally-created managed identities through the API is planned for a future release.

Issues Setting the Studio Pro Version for Downloads

Setting the Studio Pro Version in the Download Portal may result in the wrong version being downloaded.

We are aware of this limitation and are working on a fix.

Helmfile Upgrade Issue

Upgrading Private Mendix Platform through Helmfile may fail with a message like the following: Apply failed with 1 conflict: conflict with "kubectl-patch" using privatecloud.mendix.com/v1alpha1: .spec.replicas.

As a workaround, use the following command:

kubectl get mendixapp mxplatform -n pmp-oci-test -o yaml |
kubectl apply --server-side --force-conflicts --field-manager='helm' -f

2.8.0

Release date: August 19, 2026

Version 2.8.0 of Private Mendix Platform introduces a number of new features, updates, and fixes.

New Features

Manage Platform Ops as Code

You can now use Helm and Helmfile in order to automate the declarative installation of Private Mendix Platform and its components through GitOps and CI/CD pipelines. For more information, refer to the Private Mendix Platform Quickstart Guide.

Improvements

Improved Support for Maia Make

We have significantly updated the functionality of Maia Make, and provided a new LLM Gateway component to help you configure Maia for Studio Pro 11.12 LTS. For more information, refer to the Private Mendix Platform Quickstart Guide.

Interactor-Agent Mode Enhancements

To support deployments in Interactor-Agent mode, we have provided the following enhancements:

  • You can now configure custom HTTP headers in the Network and TLS tab of the Environment Details page.
  • You can configure constants and schedule events by importing and exporting a yaml file on the Model Options* tab of the Environment Details page.
  • Private Mendix Platform now supports runtime leaderless mode for connected environments, which allows nodes to dynamically choose a leader.

Updates

Studio Pro Updates
  • Studio Pro 9.24 LTS latest patch version updated to 9.24.43
  • Studio Pro 10.24 LTS latest patch version updated to 10.24.21
  • Studio Pro 11.6 MTS latest patch version updated to 11.6.8
  • Studio Pro 11.12 MTS latest patch version updated to 11.12.1
Other Platform Components
  • Mendix on Kubernetes Operator version 2.28.0
  • Private Cloud License Manager (PCLM) version 0.11.1
  • Interactor v1.25.4
  • Interactor Bridge v1.24.5
  • Collector v1.23.4
  • Authenticator v1.19.3
  • Maia 0.39.0
  • DocGen 1.0.4

Fixes

  • (API) We have changed the Marketplace content category and sub-category for the MarketplaceService to the App content type.

  • (API) We have solved an issue where API calls to the RepositoryService would result in 401 - Authentication errors despite PAT being issued for all scopes. (Ticket 283707)

  • (API) We have removed the 400 - Invalid Project Id response example from the list of response examples for the Project creation POST API. (Ticket 283464)

  • (API) We have fixed an issue with the DeployService API, where attempting to change the app URL would result in a 400 - Bad Request error. (Ticket 283711)

  • (API) We have fixed an issue with the GroupService API, where attempting to list all groups for the current user would result in a 404 - Not Found error. (Ticket 283352)

  • (General) We have fixed an issue where canceling changes from the Details panel would result in the creation of an empty object.

  • (General) We have fixed an issue where it was impossible to give a role permissions to set Custom Runtime Settings. (Ticket 283684)

  • (General) We have fixed an issue where Custom Runtime Settings would still show in the UI, despite the user lacking the required permissions. (Ticket 283684)

  • (General) The Activity Logs now track changes made in Role Management, Role Assignments, and Group Management. (Ticket 283918)

  • (General) We have solved an issue where failed deployments did not show as failed. (Ticket 280980)

  • (General)

  • (General) We have fixed an issue where it was impossible to select the user role when creating a local user during Private Mendix Platform installation.

  • (General) We have solved an issue where unauthorized users could access Environment Details through the URL. (Ticket 283510)

  • (General) We have solved an issue where adding a user that was not a member of a group resulted in a notification stating that the user would inherit roles. (Ticket 283490)

  • (General) We have solved an issue where changing user role resulted in a notification stating that the user was removed. (Ticket 283488)

  • (General) We have solved an issue which made it impossible to create a Set Constants role with specific permissions, even when no such role already existed. (Ticket 283486)

  • (General) We have fixed an issue where direct group memberships were lost when a group was moved in group hierarchy. (Ticket 281602)

  • (General) We have solved an issue where, after ownership was transferred away from a user that only had the direct Owner resource role, the old owner account would remain a member of the project with an unknown role and group. (Ticket 283948)

  • (General) We have improved the approve, decline, and delete behavior for Marketplace content. (Ticket 281945)

  • (General) We have resolved an issue where users outside a group could still see and download the content owned by the group. (Ticket 281940)

  • (General) We have fixed some CVEs related to the following:

    • Svix
    • Mxpc
    • Private Mendix Platform pipeline tools
    • Build agent